Skip to main content
Resource Center/Hardware/Primary Storage Operations

PrimaryStorageMigrateVm

PrimaryStorageMigrateVm

PUT/zstack/v1/vm-instances/{vmInstanceUuid}/actions

Operation ID

PrimaryStorageMigrateVm

Since

3.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • vmInstanceUuid
    StringRequired

    The VM instance UUID.

Body Fields

  • dstPrimaryStorageUuid
    StringRequired

    The UUID of the destination primary storage.

  • withDataVolumes
    boolean

    Optional. Migrates the VM instance with its data volumes.

  • withSnapshots
    boolean

    Optional. Migrates the VM instance with its snapshots.

  • dstHostUuid
    String

    Optional.

  • strategy
    String

    The strategy.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The detailed description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VmInstanceInventoryRequired

    See inventory.

  • uuid
    StringRequired

    The resource UUID.

  • name
    StringRequired

    The resource name.

  • description
    StringRequired

    The detailed description of the resource.

  • zoneUuid
    StringRequired

    The zone UUID.

  • clusterUuid
    StringRequired

    The cluster UUID.

  • imageUuid
    StringRequired

    The image UUID.

  • hostUuid
    StringRequired

    The host UUID.

  • lastHostUuid
    StringRequired

    The last host UUID.

  • instanceOfferingUuid
    StringRequired

    The instance offering UUID.

  • rootVolumeUuid
    StringRequired

    The root volume UUID.

  • platform
    StringRequired

    The platform.

  • architecture
    StringRequired

    The architecture.

  • defaultL3NetworkUuid
    StringRequired

    The default L3 network UUID.

  • type
    StringRequired

    The resource type.

  • hypervisorType
    StringRequired

    The hypervisor type.

  • memorySize
    LongRequired

    The memory size.

  • cpuNum
    IntegerRequired

    The number of CPUs.

  • cpuSpeed
    LongRequired

    The CPU speed.

  • allocatorStrategy
    StringRequired

    The allocator strategy.

  • createDate
    TimestampRequired

    The creation date.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • state
    StringRequired

    The resource state.

  • guestOsType
    StringRequired

    The guest OS type.

  • vmNics
    ListRequired

    See vmNics.

  • allVolumes
    ListRequired

    See allVolumes.

  • vmCdRoms
    ListRequired

    See vmCdRoms.

  • uuid
    StringRequired

    The resource UUID.

  • vmInstanceUuid
    StringRequired

    The VM instance UUID.

  • l3NetworkUuid
    StringRequired

    The L3 network UUID.

  • ip
    StringRequired

    The IP address.

  • mac
    StringRequired

    The MAC address.

  • netmask
    StringRequired

    The netmask.

  • gateway
    StringRequired

    The gateway IP address.

  • metaData
    StringRequired

    The metadata.

  • deviceId
    IntegerRequired

    The device ID.

  • createDate
    TimestampRequired

    The creation date.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • usedIps
    ListRequired

    See usedIps.

  • uuid
    StringRequired

    The resource UUID.

  • ipRangeUuid
    StringRequired

    The IP range UUID.

  • l3NetworkUuid
    StringRequired

    The L3 network UUID.

  • ipVersion
    IntegerRequired

    The IP version.

  • ip
    StringRequired

    The IP address.

  • netmask
    StringRequired

    The netmask.

  • gateway
    StringRequired

    The gateway.

  • usedFor
    StringRequired

    The intended use.

  • ipInLong
    longRequired

    The IP address represented as a long integer.

  • vmNicUuid
    StringRequired

    The VM NIC UUID.

  • createDate
    TimestampRequired

    The creation date.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • uuid
    StringRequired

    The resource UUID.

  • name
    StringRequired

    The resource name.

  • description
    StringRequired

    The detailed description of the resource.

  • primaryStorageUuid
    StringRequired

    The primary storage UUID.

  • vmInstanceUuid
    StringRequired

    The VM instance UUID.

  • diskOfferingUuid
    StringRequired

    The disk offering UUID.

  • rootImageUuid
    StringRequired

    The root image UUID.

  • installPath
    StringRequired

    The installation path.

  • type
    StringRequired

    The resource type.

  • format
    StringRequired

    The format.

  • size
    LongRequired

    The size.

  • actualSize
    LongRequired

    The actual size.

  • deviceId
    IntegerRequired

    The device ID.

  • state
    StringRequired

    The resource state.

  • status
    StringRequired

    The resource status.

  • createDate
    TimestampRequired

    The creation date.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • isShareable
    BooleanRequired

    Whether the resource is shareable.

  • uuid
    StringRequired

    The resource UUID.

  • vmInstanceUuid
    StringRequired

    The VM instance UUID.

  • deviceId
    IntegerRequired

    The device ID.

  • isoUuid
    StringRequired

    The ISO UUID.

  • isoInstallPath
    StringRequired

    The ISO install path.

  • name
    StringRequired

    The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • createDate
    TimestampRequired

    The creation date.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • Change Time

    AddedResponse fields actualSize, allVolumes, allocatorStrategy...
    View API